Name:           mDNSResponder
Summary:        Provides Name-to-address translation and Discovery of Services for Zeroconf 
Version:        98
Release:        1
License:        Apple Public Source License
Group:          Libraries
URL:            http://developer.apple.com/darwin/projects/rendezvous/
Source0:        http://darwinsource.opendarwin.org/tarballs/apsl/%{name}-%{version}.tar.bz2
Source1:	rc.%{name}
Patch0:		mDNSPosix-98-Makefile.patch.bz2
Patch1:		mDNSPosix-98-mdnsd.sh.patch.bz2
Patch2:		mDNSResponder-98-fix-makefile-x86_64.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
mDNSResponder provides two of three requirements for Zero
Configuration Networking, namely parts:
2. Name-to-address translation (even when there is no DNS server)
3. Discovery of Services on the network (again, without infrastucture)

%package	devel
Summary:	Headers for mDNSResponder
Group:		Development

%description	devel
This package contains the headers that programmers will need to develop
applications which will use mDNSResponder.

%prep 
%setup -q 

%patch2 -p1 -b .fix_mdnsresponder_x86_64
cd mDNSPosix
%patch0 -p1
%patch1 -p1

%build 
cd mDNSPosix
make os=linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib,usr/{bin,sbin,lib,include,man/man5}}
#ake -k -C mDNSPosix os=linux install \
# DESTDIR=$RPM_BUILD_ROOT \
# INSTBASE=$RPM_BUILD_ROOT%{_prefix} \
# MANPATH=$RPM_BUILD_ROOT%{_mandir} \
# NSSINSTPATH=$RPM_BUILD_ROOT/lib ||:

cp mDNSPosix/build/prod/mDNSIdentify $RPM_BUILD_ROOT/%{_bindir}
cp mDNSPosix/build/prod/mDNSNetMonitor $RPM_BUILD_ROOT/%{_bindir}
cp mDNSPosix/build/prod/mDNSClientPosix $RPM_BUILD_ROOT/%{_bindir}/mDNSClient
cp mDNSPosix/build/prod/mDNSProxyResponderPosix $RPM_BUILD_ROOT/%{_bindir}/mDNSProxyResponder
#cp mDNSPosix/build/prod/mDNSResponderPosix $RPM_BUILD_ROOT/%{_bindir}/mDNSResponder
cp mDNSPosix/build/prod/mdnsd $RPM_BUILD_ROOT/%{_sbindir}
cp mDNSPosix/build/prod/dnsextd $RPM_BUILD_ROOT/%{_sbindir}
cp mDNSPosix/build/prod/lib* $RPM_BUILD_ROOT/lib
install -m0644 mDNSPosix/nss_mdns.conf $RPM_BUILD_ROOT/etc
install -m0644 mDNSPosix/nss_mdns.conf.5 $RPM_BUILD_ROOT/usr/man/man5
install -m0644 mDNSShared/dns_sd.h $RPM_BUILD_ROOT/usr/include
ln -sf libdns_sd.so $RPM_BUILD_ROOT/lib/libdns_sd.so.1
ln -sf libnss_mdns-0.2.so $RPM_BUILD_ROOT/lib/libnss_mdns.so
cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../../lib/* .
mkdir -p $RPM_BUILD_ROOT/etc/init.d; cp %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d; ln -sf ../../init.d/rc.%{name} K%{name}.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d; ln -sf ../../init.d/rc.%{name} S%{name}.sh
mkdir -p $RPM_BUILD_ROOT/var/run
touch $RPM_BUILD_ROOT/var/run/mdnsd.pid

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :


%clean 
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{_sysconfdir}/nss_mdns.conf
%{_libdir}/*.so.*
%{_libdir}/*.so
/lib/*.so.*
/lib/*.so
%{_bindir}
%{_sbindir}
%{_localstatedir}
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}
